Index: /trunk/sources/HeuristicLab 3.2.sln
===================================================================
--- /trunk/sources/HeuristicLab 3.2.sln	(revision 2656)
+++ /trunk/sources/HeuristicLab 3.2.sln	(revision 2657)
@@ -289,6 +289,4 @@
 Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "HeuristicLab.WinFormsUI", "HeuristicLab.WinFormsUI", "{D04A93C2-6903-4DCA-8803-2EBF60975E47}"
 EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.SQLServerCompact-3.5", "HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5\HeuristicLab.SQLServerCompact-3.5.csproj", "{31DD6385-7276-49ED-9533-823D4CDF3D2A}"
-EndProject
 Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "HeuristicLab.WinFormsUI-2.3.1", "HeuristicLab.WinFormsUI-2.3.1", "{DD1A12A4-88DE-4991-8CBC-9AC2E57EADC3}"
 EndProject
@@ -322,4 +320,6 @@
 EndProject
 Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "HeuristicLab.SQLServerCompact", "HeuristicLab.SQLServerCompact", "{C2614CCD-A8B9-4BA2-86DA-6584CAA0087C}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.SQLServerCompact-3.5.5692.0", "HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5.5692.0\HeuristicLab.SQLServerCompact-3.5.5692.0.csproj", "{31DD6385-7276-49ED-9533-823D4CDF3D2A}"
 EndProject
 Global
@@ -2498,28 +2498,4 @@
 		{5DBC2F13-EC32-4DCA-9D5F-E60B5EA8459A}.Release|x86.ActiveCfg = Release|x86
 		{5DBC2F13-EC32-4DCA-9D5F-E60B5EA8459A}.Release|x86.Build.0 = Release|x86
-		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
-		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.CEDMA Debug|x64.ActiveCfg = Debug|x64
-		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.CEDMA Debug|x64.Build.0 = Debug|x64
-		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.CEDMA Debug|x86.ActiveCfg = Debug|x86
-		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.CEDMA Debug|x86.Build.0 = Debug|x86
-		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Debug|x64.ActiveCfg = Debug|x64
-		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Debug|x64.Build.0 = Debug|x64
-		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Debug|x86.ActiveCfg = Debug|x86
-		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Debug|x86.Build.0 = Debug|x86
-		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Modeling Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Modeling Debug|Any CPU.Build.0 = Debug|Any CPU
-		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Modeling Debug|x64.ActiveCfg = Debug|x64
-		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Modeling Debug|x64.Build.0 = Debug|x64
-		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Modeling Debug|x86.ActiveCfg = Debug|x86
-		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Modeling Debug|x86.Build.0 = Debug|x86
-		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Release|Any CPU.Build.0 = Release|Any CPU
-		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Release|x64.ActiveCfg = Release|x64
-		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Release|x64.Build.0 = Release|x64
-		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Release|x86.ActiveCfg = Release|x86
-		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Release|x86.Build.0 = Release|x86
 		{678E2145-8152-4E19-9646-07D439D00301}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{678E2145-8152-4E19-9646-07D439D00301}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -2702,4 +2678,28 @@
 		{1B3063DB-D71C-4A6A-A359-883E8F53A140}.Release|x86.ActiveCfg = Release|x86
 		{1B3063DB-D71C-4A6A-A359-883E8F53A140}.Release|x86.Build.0 = Release|x86
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.CEDMA Debug|x64.ActiveCfg = Debug|x64
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.CEDMA Debug|x64.Build.0 = Debug|x64
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.CEDMA Debug|x86.ActiveCfg = Debug|x86
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.CEDMA Debug|x86.Build.0 = Debug|x86
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Debug|x64.ActiveCfg = Debug|x64
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Debug|x64.Build.0 = Debug|x64
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Debug|x86.ActiveCfg = Debug|x86
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Debug|x86.Build.0 = Debug|x86
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Modeling Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Modeling Debug|Any CPU.Build.0 = Debug|Any CPU
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Modeling Debug|x64.ActiveCfg = Debug|x64
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Modeling Debug|x64.Build.0 = Debug|x64
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Modeling Debug|x86.ActiveCfg = Debug|x86
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Modeling Debug|x86.Build.0 = Debug|x86
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Release|Any CPU.Build.0 = Release|Any CPU
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Release|x64.ActiveCfg = Release|x64
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Release|x64.Build.0 = Release|x64
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Release|x86.ActiveCfg = Release|x86
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Release|x86.Build.0 = Release|x86
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
@@ -2708,10 +2708,11 @@
 	GlobalSection(NestedProjects) = preSolution
 		{D04A93C2-6903-4DCA-8803-2EBF60975E47} = {A0AEB817-CAC7-4DC8-8D39-0E040BA027E5}
+		{C2614CCD-A8B9-4BA2-86DA-6584CAA0087C} = {A0AEB817-CAC7-4DC8-8D39-0E040BA027E5}
 		{BC9B1349-F788-4293-AA27-0B3474761C7F} = {A0AEB817-CAC7-4DC8-8D39-0E040BA027E5}
+		{9CAC84CA-BEB1-44F9-95E7-75ACEFF98693} = {A0AEB817-CAC7-4DC8-8D39-0E040BA027E5}
 		{66A6D1DA-E53C-455D-9F53-07C0128CBF29} = {A0AEB817-CAC7-4DC8-8D39-0E040BA027E5}
 		{823E15D8-30DC-4D69-804B-53BDF8D70E39} = {A0AEB817-CAC7-4DC8-8D39-0E040BA027E5}
-		{9CAC84CA-BEB1-44F9-95E7-75ACEFF98693} = {A0AEB817-CAC7-4DC8-8D39-0E040BA027E5}
-		{C2614CCD-A8B9-4BA2-86DA-6584CAA0087C} = {A0AEB817-CAC7-4DC8-8D39-0E040BA027E5}
 		{DD1A12A4-88DE-4991-8CBC-9AC2E57EADC3} = {D04A93C2-6903-4DCA-8803-2EBF60975E47}
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A} = {C2614CCD-A8B9-4BA2-86DA-6584CAA0087C}
 		{678E2145-8152-4E19-9646-07D439D00301} = {DD1A12A4-88DE-4991-8CBC-9AC2E57EADC3}
 		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB} = {DD1A12A4-88DE-4991-8CBC-9AC2E57EADC3}
@@ -2719,10 +2720,9 @@
 		{B6C53341-86C0-4063-87E2-F573EFE51132} = {6982D0CF-65DB-49E7-A4FD-7135BCC25A15}
 		{44456535-5DB5-454A-BE2B-7426DA6700B6} = {6982D0CF-65DB-49E7-A4FD-7135BCC25A15}
+		{6960CBCD-E44B-49B0-BA86-671091C42C36} = {9CAC84CA-BEB1-44F9-95E7-75ACEFF98693}
 		{FDB65084-1E00-4BCF-90A7-C69BBEC014F8} = {66A6D1DA-E53C-455D-9F53-07C0128CBF29}
 		{A16F23B5-FB62-499E-A831-26953AA56FE2} = {FDB65084-1E00-4BCF-90A7-C69BBEC014F8}
 		{89B50302-9CEE-4D13-9779-633EADCAE624} = {FDB65084-1E00-4BCF-90A7-C69BBEC014F8}
 		{1B3063DB-D71C-4A6A-A359-883E8F53A140} = {823E15D8-30DC-4D69-804B-53BDF8D70E39}
-		{6960CBCD-E44B-49B0-BA86-671091C42C36} = {9CAC84CA-BEB1-44F9-95E7-75ACEFF98693}
-		{31DD6385-7276-49ED-9533-823D4CDF3D2A} = {C2614CCD-A8B9-4BA2-86DA-6584CAA0087C}
 	EndGlobalSection
 EndGlobal
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.SQLServerCompact/3.5.5692.0/HeuristicLab.SQLServerCompact-3.5.5692.0.csproj
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.SQLServerCompact/3.5.5692.0/HeuristicLab.SQLServerCompact-3.5.5692.0.csproj	(revision 2657)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.SQLServerCompact/3.5.5692.0/HeuristicLab.SQLServerCompact-3.5.5692.0.csproj	(revision 2657)
@@ -0,0 +1,134 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="3.5" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <ProductVersion>9.0.30729</ProductVersion>
+    <SchemaVersion>2.0</SchemaVersion>
+    <ProjectGuid>{31DD6385-7276-49ED-9533-823D4CDF3D2A}</ProjectGuid>
+    <OutputType>Library</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>HeuristicLab.SQLServerCompact</RootNamespace>
+    <AssemblyName>HeuristicLab.SQLServerCompact-3.5.5692.0</AssemblyName>
+    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <FileAlignment>512</FileAlignment>
+    <SignAssembly>true</SignAssembly>
+    <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>bin\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>bin\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x64' ">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x64' ">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x86\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
+    <OutputPath>bin\x86\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <ItemGroup>
+    <Reference Include="System" />
+    <Reference Include="System.Core">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Drawing" />
+    <Reference Include="System.Xml.Linq">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Data.DataSetExtensions">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Data" />
+    <Reference Include="System.Xml" />
+  </ItemGroup>
+  <ItemGroup>
+    <Compile Include="HeuristicLabSQLServerCompactPlugin.cs" />
+    <Compile Include="Properties\AssemblyInfo.cs" />
+  </ItemGroup>
+  <ItemGroup>
+    <Content Include="SQLServer Compact license.txt">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
+    <Content Include="System.Data.SqlServerCe-3.5.dll">
+      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
+    </Content>
+    <Content Include="x64\sqlceca35.dll" />
+    <Content Include="x64\sqlcecompact35.dll" />
+    <Content Include="x64\sqlceer35EN.dll" />
+    <Content Include="x64\sqlceme35.dll" />
+    <Content Include="x64\sqlceoledb35.dll" />
+    <Content Include="x64\sqlceqp35.dll" />
+    <Content Include="x64\sqlcese35.dll" />
+    <Content Include="x86\sqlceca35.dll" />
+    <Content Include="x86\sqlcecompact35.dll" />
+    <Content Include="x86\sqlceer35EN.dll" />
+    <Content Include="x86\sqlceme35.dll" />
+    <Content Include="x86\sqlceoledb35.dll" />
+    <Content Include="x86\sqlceqp35.dll" />
+    <Content Include="x86\sqlcese35.dll" />
+  </ItemGroup>
+  <ItemGroup>
+    <ProjectReference Include="..\..\..\HeuristicLab.PluginInfrastructure\HeuristicLab.PluginInfrastructure.csproj">
+      <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
+      <Name>HeuristicLab.PluginInfrastructure</Name>
+    </ProjectReference>
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="HeuristicLab.snk" />
+    <None Include="Properties\AssemblyInfo.frame" />
+  </ItemGroup>
+  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
+  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
+       Other similar extension points exist, see Microsoft.Common.targets.
+  <Target Name="BeforeBuild">
+  </Target>
+  <Target Name="AfterBuild">
+  </Target>
+  -->
+  <PropertyGroup>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
+  </PropertyGroup>
+</Project>
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.SQLServerCompact/3.5.5692.0/HeuristicLabSQLServerCompactPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.SQLServerCompact/3.5.5692.0/HeuristicLabSQLServerCompactPlugin.cs	(revision 2657)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.SQLServerCompact/3.5.5692.0/HeuristicLabSQLServerCompactPlugin.cs	(revision 2657)
@@ -0,0 +1,43 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.SQLServerCompact {
+  [Plugin("HeuristicLab.SQLServerCompact-3.5.5692.0")]
+  [PluginFile("HeuristicLab.SQLServerCompact-3.5.5692.0.dll", PluginFileType.Assembly)]
+  [PluginFile("System.Data.SqlServerCe-3.5.dll", PluginFileType.Assembly)]
+  [PluginFile("SQLServer Compact license.txt",PluginFileType.License)]
+  [PluginFile("sqlceca35.dll", PluginFileType.NativeDll)]
+  [PluginFile("sqlcecompact35.dll", PluginFileType.NativeDll)]
+  [PluginFile("sqlceer35EN.dll", PluginFileType.NativeDll)]
+  [PluginFile("sqlceme35.dll", PluginFileType.NativeDll)]
+  [PluginFile("sqlceoledb35.dll", PluginFileType.NativeDll)]
+  [PluginFile("sqlceqp35.dll", PluginFileType.NativeDll)]
+  [PluginFile("sqlcese35.dll", PluginFileType.NativeDll)] 
+  public class HeuristicLabSQLServerCompactPlugin : PluginBase {
+  }
+}
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.SQLServerCompact/3.5.5692.0/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.SQLServerCompact/3.5.5692.0/Properties/AssemblyInfo.frame	(revision 2657)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.SQLServerCompact/3.5.5692.0/Properties/AssemblyInfo.frame	(revision 2657)
@@ -0,0 +1,38 @@
+﻿using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+using HeuristicLab.PluginInfrastructure;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HeuristicLab.SQLServerCompact")]
+[assembly: AssemblyDescription("Provides an interface to create and access local SQLServer Compact databases")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("")]
+[assembly: AssemblyProduct("HeuristicLab")]
+[assembly: AssemblyCopyright("(c) 2002-2008 HEAL")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("3f5083f8-2738-4573-b230-e9928ef61e6b")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Build and Revision Numbers 
+// by using the '*' as shown below:
+// [assembly: AssemblyVersion("1.0.*")]
+[assembly: AssemblyVersion("3.5.5692.0")]
+[assembly: AssemblyFileVersion("3.5.5692.0")]
+[assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.SQLServerCompact/3.5.5692.0/SQLServer Compact license.txt
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.SQLServerCompact/3.5.5692.0/SQLServer Compact license.txt	(revision 2657)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.SQLServerCompact/3.5.5692.0/SQLServer Compact license.txt	(revision 2657)
@@ -0,0 +1,52 @@
+MICROSOFT SOFTWARE LICENSE TERMS
+MICROSOFT SQL SERVER COMPACT 3.5
+These license terms are an agreement between Microsoft Corporation (or based on where you live, one of its affiliates) and you.  Please read them.  They apply to the software named above, which includes the media on which you received it, if any.  The terms also apply to any Microsoft
+	updates,
+	supplements,
+	Internet-based services, and 
+	support services
+for this software, unless other terms accompany those items.  If so, those terms apply.
+BY USING THE SOFTWARE, YOU ACCEPT THESE TERMS.  IF YOU DO NOT ACCEPT THEM, DO NOT USE THE SOFTWARE.
+If you comply with these license terms, you have the rights below.
+1.	INSTALLATION AND USE RIGHTS.  You may install and use any number of copies of the software on your devices.
+2.	ADDITIONAL LICENSING REQUIREMENTS AND/OR USE RIGHTS.
+a.	Distributable Code.  The software contains code that you are permitted to distribute in programs you develop if you comply with the terms below.
+i.	Right to Use and Distribute.  The code and text files listed below are Distributable Code.
+	REDIST.TXT Files.  You may copy and distribute the object code form of code listed in REDIST.TXT files.
+	Third Party Distribution.  You may permit distributors of your programs to copy and distribute the Distributable Code as part of those programs.
+ii.	Distribution Requirements.  For any Distributable Code you distribute, you must
+	add significant primary functionality to it in your programs;
+	require distributors and external end users to agree to terms that protect it at least as much as this agreement; 
+	display your valid copyright notice on your programs; and
+	indemnify, defend, and hold harmless Microsoft from any claims, including attorneys fees, related to the distribution or use of your programs.
+iii.	Distribution Restrictions.  You may not
+	alter any copyright, trademark or patent notice in the Distributable Code; 
+	use Microsofts trademarks in your programs names or in a way that suggests your programs come from or are endorsed by Microsoft; 
+	distribute Distributable Code to run on a platform other than the Windows platform;
+	include Distributable Code in malicious, deceptive or unlawful programs; or
+	modify or distribute the source code of any Distributable Code so that any part of it becomes subject to an Excluded License.  An Excluded License is one that requires, as a condition of use, modification or distribution, that
+	the code be disclosed or distributed in source code form; or 
+	others have the right to modify it.
+3.	SCOPE OF LICENSE.  The software is licensed, not sold. This agreement only gives you some rights to use the software.  Microsoft reserves all other rights.  Unless applicable law gives you more rights despite this limitation, you may use the software only as expressly permitted in this agreement.  In doing so, you must comply with any technical limitations in the software that only allow you to use it in certain ways.    You may not
+	work around any technical limitations in the software;
+	reverse engineer, decompile or disassemble the software, except and only to the extent that applicable law expressly permits, despite this limitation;
+	make more copies of the software than specified in this agreement or allowed by applicable law, despite this limitation;
+	publish the software for others to copy;
+	rent, lease or lend the software; or
+	use the software for commercial software hosting services.
+4.	BACKUP COPY.  You may make one backup copy of the software.  You may use it only to reinstall the software.
+5.	DOCUMENTATION.  Any person that has valid access to your computer or internal network may copy and use the documentation for your internal, reference purposes.
+6.	TRANSFER TO A THIRD PARTY.  The first user of the software may transfer it and this agreement directly to a third party.  Before the transfer, that party must agree that this agreement applies to the transfer and use of the software.  The first user must uninstall the software before transferring it separately from the device.  The first user may not retain any copies.
+7.	EXPORT RESTRICTIONS.  The software is subject to United States export laws and regulations.  You must comply with all domestic and international export laws and regulations that apply to the software.  These laws include restrictions on destinations, end users and end use.  For additional information, see www.microsoft.com/exporting.
+8.	SUPPORT SERVICES. Because this software is as is, we may not provide support services for it.
+9.	ENTIRE AGREEMENT.  This agreement, and the terms for supplements, updates, Internet-based services and support services that you use, are the entire agreement for the software and support services.
+10.	APPLICABLE LAW.
+a.	United States.  If you acquired the software in the United States, Washington state law governs the interpretation of this agreement and applies to claims for breach of it, regardless of conflict of laws principles.  The laws of the state where you live govern all other claims, including claims under state consumer protection laws, unfair competition laws, and in tort.
+b.	Outside the United States.  If you acquired the software in any other country, the laws of that country apply.
+11.	LEGAL EFFECT.  This agreement describes certain legal rights.  You may have other rights under the laws of your country.  You may also have rights with respect to the party from whom you acquired the software.  This agreement does not change your rights under the laws of your country if the laws of your country do not permit it to do so.
+12.	DISCLAIMER OF WARRANTY.   THE SOFTWARE IS LICENSED AS-IS.  YOU BEAR THE RISK OF USING IT.  MICROSOFT GIVES NO EXPRESS WARRANTIES, GUARANTEES OR CONDITIONS.  YOU MAY HAVE ADDITIONAL CONSUMER RIGHTS UNDER YOUR LOCAL LAWS WHICH THIS AGREEMENT CANNOT CHANGE.  TO THE EXTENT PERMITTED UNDER YOUR LOCAL LAWS, MICROSOFT EXCLUDES THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT.
+13.	LIMITATION ON AND EXCLUSION OF REMEDIES AND DAMAGES.  YOU CAN RECOVER FROM MICROSOFT AND ITS SUPPLIERS ONLY DIRECT DAMAGES UP TO U.S. $5.00.  YOU CANNOT RECOVER ANY OTHER DAMAGES, INCLUDING CONSEQUENTIAL, LOST PROFITS, SPECIAL, INDIRECT OR INCIDENTAL DAMAGES.
+This limitation applies to
+	anything related to the software, services, content (including code) on third party Internet sites, or third party programs; and
+	claims for breach of contract, breach of warranty, guarantee or condition, strict liability, negligence, or other tort to the extent permitted by applicable law.
+It also applies even if Microsoft knew or should have known about the possibility of the damages.  The above limitation or exclusion may not apply to you because your country may not allow the exclusion or limitation of incidental, consequential or other damages.
Index: /trunk/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/HeuristicLabModelingDatabaseSQLServerCompactPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/HeuristicLabModelingDatabaseSQLServerCompactPlugin.cs	(revision 2656)
+++ /trunk/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/HeuristicLabModelingDatabaseSQLServerCompactPlugin.cs	(revision 2657)
@@ -33,5 +33,5 @@
   [PluginDependency("HeuristicLab.Modeling-3.2")]
   [PluginDependency("HeuristicLab.Modeling.Database-3.2")]
-  [PluginDependency("HeuristicLab.SQLServerCompact-3.5")]  
+  [PluginDependency("HeuristicLab.SQLServerCompact-3.5.5692.0")]  
   public class HeuristicLabModelingDatabaseSQLServerCompactPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab/Files.txt
===================================================================
--- /trunk/sources/HeuristicLab/Files.txt	(revision 2656)
+++ /trunk/sources/HeuristicLab/Files.txt	(revision 2657)
@@ -141,7 +141,7 @@
 HeuristicLab.ExtLibs\HeuristicLab.SQLite\1.0.65.0:SQLite.NET.chm 
 
-HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5:HeuristicLab.SQLServerCompact-3.5.dll 
-HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5:System.Data.SqlServerCe-3.5.dll 
-HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5:SQLServer Compact license.txt
+HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5.5692.0:HeuristicLab.SQLServerCompact-3.5.5692.0.dll 
+HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5.5692.0:System.Data.SqlServerCe-3.5.dll 
+HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5.5692.0:SQLServer Compact license.txt
 
 HeuristicLab.ExtLibs\HeuristicLab.WinFormsUI\2.3.1\WinFormsUI-2.3.1:WeifenLuo.WinFormsUI.Docking-2.3.1.dll 
Index: /trunk/sources/HeuristicLab/Files.x64.txt
===================================================================
--- /trunk/sources/HeuristicLab/Files.x64.txt	(revision 2656)
+++ /trunk/sources/HeuristicLab/Files.x64.txt	(revision 2657)
@@ -2,11 +2,11 @@
 ; This file contains a list of all x64 specific files
 
-HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5\x64\sqlceca35.dll
-HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5\x64\sqlcecompact35.dll
-HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5\x64\sqlceer35EN.dll
-HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5\x64\sqlceme35.dll
-HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5\x64\sqlceoledb35.dll
-HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5\x64\sqlceqp35.dll
-HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5\x64\sqlcese35.dll
+HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5.5692.0\x64\sqlceca35.dll
+HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5.5692.0\x64\sqlcecompact35.dll
+HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5.5692.0\x64\sqlceer35EN.dll
+HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5.5692.0\x64\sqlceme35.dll
+HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5.5692.0\x64\sqlceoledb35.dll
+HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5.5692.0\x64\sqlceqp35.dll
+HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5.5692.0\x64\sqlcese35.dll
 
 HeuristicLab.ExtLibs\HeuristicLab.SQLite\1.0.65.0\x64\System.Data.SQLite.dll
Index: /trunk/sources/HeuristicLab/Files.x86.txt
===================================================================
--- /trunk/sources/HeuristicLab/Files.x86.txt	(revision 2656)
+++ /trunk/sources/HeuristicLab/Files.x86.txt	(revision 2657)
@@ -2,11 +2,11 @@
 ; This file contains a list of all x86 specific files
 
-HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5\x86\sqlceca35.dll
-HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5\x86\sqlcecompact35.dll
-HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5\x86\sqlceer35EN.dll
-HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5\x86\sqlceme35.dll
-HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5\x86\sqlceoledb35.dll
-HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5\x86\sqlceqp35.dll
-HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5\x86\sqlcese35.dll
+HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5.5692.0\x86\sqlceca35.dll
+HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5.5692.0\x86\sqlcecompact35.dll
+HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5.5692.0\x86\sqlceer35EN.dll
+HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5.5692.0\x86\sqlceme35.dll
+HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5.5692.0\x86\sqlceoledb35.dll
+HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5.5692.0\x86\sqlceqp35.dll
+HeuristicLab.ExtLibs\HeuristicLab.SQLServerCompact\3.5.5692.0\x86\sqlcese35.dll
 
 HeuristicLab.ExtLibs\HeuristicLab.SQLite\1.0.65.0\x86\System.Data.SQLite.dll
